<?php
/**********************************************************************
***********************************************************************/

$page_security = 'SA_UTILITY_BILL_INQ';
if (!@$_GET['popup'])
	$path_to_root = "../..";
else	
	$path_to_root = "..";
include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/inventory.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/gl/includes/db/utility_bill_inquiry_db.inc");


$js = '';

if ($SysPrefs->use_popup_windows) {
	$js .= get_js_open_window(900, 500);
}

if (user_use_date_picker()) {
	$js .= get_js_date_picker();
}

page($help_context = "Approve Utility Bills", false, false, "", $js);
//---------------------------------------------------------------------------------------------

simple_page_mode(true);

if (isset($_GET['order_no']))
{
    $_POST['order_no'] = $_GET['order_no'];
}


function id($row)
{
    return get_journal_trans_view_str(ST_UTILITY_BILLS, $row['id']);
}

function reference($row)
{
    return $row['reference'];   
}

function tran_date($row)
{
   return sql2date($row['tran_date']);
}

function _created_on($row)
{
    return sql2date($row['created_on']);
}


function project_name($row)
{
    return $row['project_description'];
}

function supp_name($row)
{
    return $row['supp_name']; 
}


function total($row)
{
    return number_format($row['total'], 2);
}

function approval_status($row)
{
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];
}


function edit_link($row) 
{
    if($row['approval_status'] == AS_NEW || $row['approval_status'] == AS_WITH_THE_APPROVER || $row['approval_status'] == AS_AWAITING_APPROVAL){
        $modify = "UBNo";           
        return pager_link(_("Edit"), "/gl/utility_bills.php?$modify=". $row['id'], ICON_EDIT);
    }
    else{
        return null;
    }
}

//function issue_link($row)
//{  
//    return pager_link(_("Issue"),"/transport/asset_issue.php?ARNo=".$row['id'], ICON_DOC);    		
//}

//function return_link($row)
//{
//    return pager_link(_("Return"),"/transport/asset_return.php?ARNo=".$row['id'], ICON_GL);   
//}
//--------------------------------------------------------------------------------------------------


if ($Mode == 'RESET')
{
	$selected_id = -1;
}

if (isset($_POST['_selected_id_update']))
{
	$selected_id = $_POST['selected_id'];
	//$Ajax->activate('_page_body');
}

//if (list_updated('employee_code')) 
	$Ajax->activate('_page_body');
//--------------------------------------------------------------------------------------------------

if (!@$_GET['popup'])
	start_form();


//---------------------------------------------------------------------------------------------




    $sql = get_sql_for_approve_utility_bill_inquiry($_SESSION['wa_current_user']->user);    
    
    $cols = array(
                _("ID")=> array('fun'=>'id'),
                _("Reference")=> array('fun'=>'reference'),                         
                _("Project Name")=>array('fun'=>'project_name'),                
                _("Supplier")=>array('fun'=>'supp_name'), 
                _("Date")=> array('fun'=>'tran_date', 'align' => 'center'), 
                _("Total")=> array('fun'=>'total', 'align' => 'right'),
                _("Originator"),
                _("Created On")=> array('fun'=>'_created_on', 'align' => 'center'), 

);
    array_append($cols, array(
		array('insert'=>true, 'fun'=>'edit_link')));
		

//------------------------------------------------------------------------------------------------      
//if (get_post('StockLocation') != $all_items) {
//	$cols[_("Location")] = 'skip';
//}
//---------------------------------------------------------------------------------------------------

$table =& new_db_pager('orders_tbl', $sql, $cols, null, null);

$table->width = "80%";

display_db_pager($table);

br();

if (!@$_GET['popup'])
{
    end_form();
    end_page();
}	


?>
